> Brian, the tranalyser reported a clean (old) data.fs and I 
> don't use any
> python base classes for any of my zclasses - however, in the interests
> of my own sanity, I'm pleased to report success with an old recipe - I
> started with a fresh Data.fs and cleaned out some cruft from 
> my Products
> folder. After removing all the stuff I'm not using now (ZopePTK and
> ZDConfera/ZDiscussions products in particular), I was able to 
> import my
> zclasses and then the major application folder - everything looks fine
> now and seems to work.
> Lesson may be that a Data.fs which works with an earlier zope version
> may fail when upgrading to 2.2.1 - if so, try 

No - thats not the lesson (at least not the right one)... It looks 
like something in the "cruft" didn't want to be unpickled in the 
new installation (most likely due to a missing piece - a required 
product or base class needed by a piece of cruft didn't get moved 
to the new install). A Data.fs from an earlier version should 
always work with a later version so long as all add-ons are 
replicated in the new installation.

Brian Lloyd        [EMAIL PROTECTED]
Software Engineer  540.371.6909              
Digital Creations  http://www.digicool.com 

Zope-Dev maillist  -  [EMAIL PROTECTED]
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope )

Reply via email to